Subject: [Dime] FW: draft-ietf-dime-ovli-08

From: "Wiehe, Ulrich (Nokia - DE/Munich)" <[email-masked]>
Date: Tue, 26 May 2015 23:49:38 +0000

Dear all,

please see below.
Is there any objection to allow reporting nodes (while in overload) to unconditionally include OC specific AVPs with M-bit cleared to answer messages even when the corresponding request did not indicate support of DOIC?

Best regards
Ulrich

-----Original Message-----
From: Wiehe, Ulrich (Nokia - DE/Munich) 
Sent: Wednesday, May 27, 2015 1:45 AM
To: 'ext Steve Donovan'
Subject: RE: draft-ietf-dime-ovli-08

Thank you Steve,

I shall forward the question to the DIME list to see whether there are objections.

Regards
Ulrich

-----Original Message-----
From: ext Steve Donovan [mailto:[email-masked]] 
Sent: Tuesday, May 26, 2015 8:00 PM
To: Wiehe, Ulrich (Nokia - DE/Munich)
Subject: Re: draft-ietf-dime-ovli-08

Ulrich,

If I remember correctly the MUST NOT was inserted based on your input.  
I think it was related to constraining the number of OC-S-F AVPs 
received by reacting nodes.

I don't have any objection to changing it if the rest of the DIME list 
agrees.

Steve

On 5/20/15 8:17 AM, Wiehe, Ulrich (Nokia - DE/Munich) wrote:
> Hi Steve,
>
>
> draft-ietf-dime-ovli-08.txt says in clause 5.1.2:
>
>     A reporting node MUST NOT include the OC-Supported-Features AVP, OC-
>     OLR AVP or any other overload control AVPs defined in extension
>     drafts in response messages for transactions where the request
>     message does not include the OC-Supported-Features AVP.
>
> This requirement seems to be too strict.
> Would it not be enough to demand not including OC-specific AVPs with M-bit set and allow including OC-specific AVPs with M-bit cleared?
>
> The reporting node, when in overload, may want to check only application ID and Command Code before deciding that a negative response is returned. In this case parsing the complete message to detect presence of the OC-Supported-Features AVP unnecessarily consumes resources and an unconditional inclusion of OC-OLR and OC-Supported-Features AVPs with M-bit cleared may be acceptable.
>
> What do you think?
>
> Regards
> Ulrich
>